/* Replace "dll.h" with the name of your header */
#include "GetFromNorad.h"

char longstr1[]="1 25544U 98067A   18161.85073725  .00003008  00000-0  52601-4 0  9993";


//Number of inputs 
unsigned char inputs 		=  1;  
//Number of outputs
unsigned char outputs 		=  1; 
//index for input variables
const unsigned char CLK     =  0;
//index for user variables
const unsigned char CLK_OLD =  0;

typedef unsigned char *PChar;
typedef PChar *StringParam[100];
char OutString[1000]; 

//Call from PROFILAB, get number of inputs 
DLLEXPORT unsigned char _stdcall NumInputs()
{
      return inputs;
}
  
//Call from ProfiLab, get number of outputs
DLLEXPORT unsigned char _stdcall NumOutputs()
{
      return outputs;
}
  

DLLEXPORT void _stdcall GetInputName(unsigned char Channel, char *Name)
{
      if (Channel == 0) strcpy(Name,"CLK");
}
  

DLLEXPORT void _stdcall GetOutputName(unsigned char Channel, char *Name)
{
	if (Channel == 0) strcpy(Name,"$test");
}
  
//Aufruf von PROFILAB, setzt bei Programmstart den "Counter"auf "0"+ setzt alle Ausgaenge zurueck
DLLEXPORT void _stdcall CSimStartEx(double *PInput, double *POutput, double *PUser,StringParam PStrings)
{  
	sprintf((char*)PChar(PStrings[0]),"%s","");  //Clear the output
}
  
//Call from PROFILAB, this is the actual function call DLL
DLLEXPORT void _stdcall CCalculateEx(double *PInput, double *POutput, double *PUser, StringParam PStrings)
{
     if (PInput[CLK] < 2.5)  //Input CLK low?
      	{
            if (PUser[CLK_OLD] > 2.5) //falling edge CLK?
            {
            	//output longstr1 to putput 0
            	sprintf((char*)PChar(PStrings[0]),"%s",longstr1);    	
            }
		}
      PUser[CLK_OLD] = PInput[CLK]; // Value of CLC stored for next cyclus
}
  
// Call from PROFILAB, is calling at simulation stop
DLLEXPORT void _stdcall CSimStop(double *PInput, double *POutput, double *PUser)
{
//do nothing
}

int WINAPI WinMain ( HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR szComdLine, int iCmdShow);  

DLLEXPORT void _stdcall CConfigure(double *PUser)
{
MessageBox(NULL,TEXT("Niets te configureren"),TEXT("Config"), MB_OK);
}


BOOL APIENTRY DllMain (HINSTANCE hInst     /* Library instance handle. */ ,
                       DWORD reason        /* Reason this function is being called. */ ,
                       LPVOID reserved     /* Not used. */ )
{
    switch (reason)
    {
      case DLL_PROCESS_ATTACH:
        break;

      case DLL_PROCESS_DETACH:
        break;

      case DLL_THREAD_ATTACH:
        break;

      case DLL_THREAD_DETACH:
        break;
    }

    /* Returns TRUE on success, FALSE on failure */
    return TRUE;
}
